> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/query/queries/lab-tests/biomarkers.md).

# Biomarkers

User query `biomarkers` to retrieve a list of all biomarkers created by you using the [addBiomarker ](/graphql/query/mutations/lab-tests/add-biomarker.md)mutation.

### Available Arguments

| Argument             | Type                 | Description                                                                                            |
| -------------------- | -------------------- | ------------------------------------------------------------------------------------------------------ |
| `first`              | Int                  | Retrieves the first results from the list.                                                             |
| `after`              | String               | See [pagination](https://docs.suggestic.com/graphql/start-here/tutorials-and-walkthroughs/pagination). |
| `before`             | String               | See [pagination](https://docs.suggestic.com/graphql/start-here/tutorials-and-walkthroughs/pagination). |
| `filters`            | BiomarkerFilterInput |                                                                                                        |
| `filters.categoryId` | ID                   | Id of Category.                                                                                        |
| `filters.name`       | String               | Name of Biomarker.                                                                                     |
| `id`                 | ID                   | Id of the biomarker.                                                                                   |
| `last`               | Int                  | See [pagination](https://docs.suggestic.com/graphql/start-here/tutorials-and-walkthroughs/pagination). |

### Available Fields

| Field Name         | Type              | Description                                           |
| ------------------ | ----------------- | ----------------------------------------------------- |
| `id`               | ID                | Id of the biomarker.                                  |
| `name`             | String            | Name of biomarker.                                    |
| `description`      | String            | Biomarker Description.                                |
| `method`           | String            | BIomarker method definition.                          |
| `createdAt`        | datetime          | Use the format: `YYYY-MM-DDT hh:mm:ssZ`               |
| `updatedAt`        | datetime          | Use the format: `YYYY-MM-DDT hh:mm:ssZ`               |
| `category`         | BiomarkerCategory |                                                       |
| `category.name`    | String            | Biomarker catalog category name.                      |
| `range`            | range             | Biomarker range indicator.                            |
| `range.min`        | Float             | Smallest defined value.                               |
| `range.max`        | Float             | Largest defined value.                                |
| `optimalRange`     | optimalRange      |                                                       |
| `optimalRange.min` | Float             | Smallest defined value to be considered as *optimal*. |
| `optimalRange.max` | Float             | Largest defined value to be considered as *optimal*.  |
| `aliases`          | BiomarkerAliases  |                                                       |
| `aliases.name`     | String            | Alias name.                                           |
| `aliases.laguage`  | String            | Language of the alias.                                |
| `units`            | BiomarkerUnit     |                                                       |
| `units.name`       | String            | Name of unit.                                         |
| `units.factor`     | Float             | Biomarker unit numeric value.                         |

### Example

{% tabs %}
{% tab title="Request" %}

```graphql
query {
  biomarkers {
    edges {
      node {
        id 
        name 
        description 
        method 
        createdAt 
        updatedAt
        category { name } 
        range { min max } 
        optimalRange { min max }
        aliases { name language }
       	units { name factor } 
      }
    }
  }
}
```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "biomarkers": {
      "edges": [
        {
          "node": {
            "id": "QmlvbWFya2VyOjE=",
            "name": "Diabetes Risk Index",
            "description": "Diabetes...",
            "method": "Method for diabetes risk index",
            "createdAt": "2022-12-12T14:50:01.792961+00:00",
            "updatedAt": "2022-12-12T14:50:01.792989+00:00",
            "category": {
              "name": "Adrenocortical hormones"
            },
            "range": {
              "min": 0,
              "max": 100
            },
            "optimalRange": {
              "min": 0,
              "max": 100
            },
            "aliases": [
              {
                "name": "DRI",
                "language": "EN"
              }
            ],
            "units": [
              {
                "name": "%",
                "factor": 1
              }
            ]
          }
        }
      ]
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.suggestic.com/graphql/query/queries/lab-tests/biomarkers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
